'xterm' should be 'x-terminal-emulator' to be consistent with the desktop

Bug #282972 reported by Brett Alton on 2008-10-14
12
Affects Status Importance Assigned to Milestone
geany (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: geany

Under Preferences > Tools, the terminal is deemed 'xterm' when really it should be 'gnome-terminal' to be consistent with the GNOME desktop.

The terminal is used, embedded, in Geany, but an also be launched as a separate process.

Related branches

Marcus Asshauer (mcas) wrote :

Thank you for reporting this bug. Please tell us your ubuntu version.

Changed in geany:
status: New → Incomplete

Intrepid, but it also occurs in Hardy.

$ lsb_release -a && apt-cache policy geany
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu intrepid (development branch)
Release: 8.10
Codename: intrepid
geany:
  Installed: 0.14-1ubuntu1
  Candidate: 0.14-1ubuntu1
  Version table:
 *** 0.14-1ubuntu1 0
        500 http://archive.ubuntu.com intrepid/universe Packages
        100 /var/lib/dpkg/status

geany is not an application for the Gnome desktop, so this is not a good idea. If you prefer gnome-terminal, just set it in the preferences.

Changed in geany:
status: Incomplete → Invalid

Even if it's a GTK+ application?

Gauvain Pocentek (gpocentek) wrote :

GTK+ is not GNOME.

Maia Everett (linneris) wrote :

As slytherin said on IRC, "ideally it should have x-terminal-emulator and not a specific app".

Changed in geany (Ubuntu):
status: Invalid → New
importance: Undecided → Low
summary: - 'xterm' should be 'gnome-terminal' to be consistent in GNOME
+ 'xterm' should be 'x-terminal-emulator' to be consistent with the
+ desktop
levu (levu) wrote :

I've created an patch that changes this thin. In the debian/patches dir there is also an patch that sets sensible-browser instead of firefox so i think it's a good idea to apply this patch also.

tags: added: patch
Andreas Moog (ampelbein) wrote :

Thanks for your work, branch linked.

Changed in geany (Ubuntu):
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package geany - 0.20-0ubuntu2

---------------
geany (0.20-0ubuntu2) natty; urgency=low

  * debian/patches/20_use_evince_viewer.dpatch:
    - use evince as viewer for pdf and dvi files (LP: #398708)
  * debian/patches/20_use_x_terminal_emulator.dpatch:
    - use x-terminal-emulator as terminal (LP: #282972)
      thanks to levu for the patch.
  * debian/control
    - add geany-plugins to Suggests (LP: #709691)
 -- Andreas Moog <email address hidden> Fri, 11 Mar 2011 20:06:54 +0100

Changed in geany (Ubuntu):
status: Triaged → Fix Released
Colomban Wendling (banw) wrote :

Please note that this breaks under Kubuntu/KDE because Konsole has a strange way of handling the -e argument (see https://bugs.launchpad.net/ubuntu/+source/konsole/+bug/948321)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers